# MPIR_Type_contiguous

create a contiguous datatype

## Synopsis

    int MPIR_Type_contiguous(int count, MPI_Datatype oldtype, MPI_Datatype * newtype)

## Input Parameters

count
  number of elements in the contiguous block
oldtype
  type (using handle) of datatype on which vector is based

## Output Parameters

newtype
  handle of new contiguous datatype

## Return Value

MPI_SUCCESS on success, MPI error code on failure.